> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download file from file storage synchronously

> Download file synchronously from the file storage.



## OpenAPI

````yaml /openapi/phrase-connectors.json get /files/v1/download-file/{uid}
openapi: 3.0.1
info:
  title: Connectors API
  description: Connectors API documentation
  version: '1.0'
servers:
  - url: https://eu.phrase.com/connectors/
    description: The API server for EU data center.
  - url: https://us.phrase.com/connectors/
    description: The API server for US data center.
security:
  - bearerAuth: []
tags:
  - name: Contentful
    description: Perform operations using the Contentful connector.
paths:
  /files/v1/download-file/{uid}:
    get:
      tags:
        - Files
      summary: Download file from file storage synchronously
      description: Download file synchronously from the file storage.
      operationId: download
      parameters:
        - name: uid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          headers:
            X-ActionId:
              description: >
                A logging ID of the request. It is propagated through Phrase
                systems, making it easier to connect logs from various services.

                If no ActionId is sent with a request, one will be generated by
                Bifrost and returned with the response.
              style: simple
              schema:
                type: string
          content:
            application/octet-stream: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token created by calling Phrase API /oauth/token endpoint.

````